## qtbase-opensource-src-gles 5.6.1+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.6.1+dfsg-3ubuntu6~4) yakkety; urgency=medium

  * Sync with qtbase-opensource-src - 5.6.1+dfsg-3ubuntu6~4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 19 Sep 2016 06:36:04 +0000

qtbase-opensource-src-gles (5.6.1+dfsg-3ubuntu5) yakkety; urgency=medium

  * Sync with qtbase-opensource-src - 5.6.1+dfsg-3ubuntu5~1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 16 Sep 2016 05:47:22 +0000

qtbase-opensource-src-gles (5.6.1+dfsg-3ubuntu4~6) yakkety; urgency=medium

  * Sync with qtbase-opensource-src - 5.6.1+dfsg-3ubuntu4~6

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 13 Sep 2016 11:19:43 +0000

qtbase-opensource-src-gles (5.6.1+dfsg-3ubuntu3~3) yakkety; urgency=medium

  * Sync with qtbase-opensource-src - 5.6.1+dfsg-3ubuntu3~3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 01 Sep 2016 07:29:22 +0000

qtbase-opensource-src-gles (5.6.1+dfsg-3ubuntu1~1) yakkety; urgency=medium

  * Sync with qtbase-opensource-src - 5.6.1+dfsg-3ubuntu1~4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 Jul 2016 06:08:41 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu7.2~xenialoverlay1~1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu7.2~xenialoverlay1~1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 25 May 2016 06:16:41 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu7) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu7

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 08 Apr 2016 14:28:40 +0000
