=== debian/control ===
Source: qtbase-opensource-src-gles
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               freetds-dev,
               gdb,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev | libgles2-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk2.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libmtdev-dev [linux-any],
               libmysqlclient-dev,
               libpcre3-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.15.17),
               publicsuffix,
               unixodbc-dev,
               xvfb,
               zlib1g-dev,
               libqt5core5a (>= 5.4.0),
               libqt5dbus5 (>= 5.4.0),
               libqt5widgets5 (>= 5.4.0)
Standards-Version: 3.9.8
Homepage: http://qt-project.org/

Package: libqt5gui5-gles
Architecture: i386 amd64
Conflicts: libqt5gui5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, mesa-utils
Suggests: libqt5libqgtk2
Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Description: Qt 5 GUI module - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality (built with the
 OpenGLES backend).

Package: libqt5opengl5-gles
Architecture: i386 amd64
Conflicts: libqt5opengl5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications (built with the OpenGLES backend).
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: qtbase5-gles-dev
Architecture: i386 amd64
Conflicts: qtbase5-dev
Replaces: qtbase5-dev
Provides: qtbase5-dev
Multi-Arch: same
Section: libdevel
Depends: libgles2-mesa-dev | libgles2-dev,
         libqt5concurrent5 (>= 5.3.0),
         libqt5core5a (>= 5.3.0),
         libqt5dbus5 (>= 5.3.0),
         libqt5gui5-gles (= ${binary:Version}),
         libqt5network5 (>= 5.3.0),
         libqt5printsupport5 (>= 5.3.0),
         libqt5sql5 (>= 5.3.0),
         libqt5test5 (>= 5.3.0),
         libqt5widgets5 (>= 5.3.0),
         libqt5xml5 (>= 5.3.0),
         libxext-dev,
         qt5-qmake-gles (= ${binary:Version}),
         qtbase5-dev-tools (>= 5.3.0),
         qtchooser (>= 55-gc9562a1-1~),
         ${misc:Depends}
Recommends: libqt5opengl5-gles-dev (= ${binary:Version})
Suggests: libegl1-mesa-dev,
          libgl1-mesa-dev,
          libmysqlclient-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Description: Qt 5 base development files - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications (built with the OpenGLES backend).
 .
 If you are interested in packaging Qt 5 stuff please take a look at
 http://pkg-kde.alioth.debian.org/packagingqtstuff.html

Package: qtbase5-private-gles-dev
Architecture: i386 amd64
Conflicts: qtbase5-private-dev
Replaces: qtbase5-private-dev
Provides: qtbase5-private-dev
Multi-Arch: same
Section: libdevel
Depends: libinput-dev [linux-any],
         libxkbcommon-dev,
         qtbase5-gles-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 base private development files - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin (built with the
 OpenGLES backend).
 .
 Use at your own risk.

Package: libqt5opengl5-gles-dev
Architecture: i386 amd64
Conflicts: libqt5opengl5-dev
Replaces: libqt5opengl5-dev
Provides: libqt5opengl5-dev
Multi-Arch: same
Section: libdevel
Depends: libqt5opengl5-gles (= ${binary:Version}),
         qtbase5-gles-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 OpenGL library development files - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 5 applications
 using QtOpenGL library (built with the OpenGLES backend).

Package: qt5-qmake-gles
Architecture: i386 amd64
Conflicts: qt5-qmake
Replaces: qt5-qmake
Provides: qt5-qmake
Multi-Arch: same
Section: devel
Depends: qtchooser (>= 55-gc9562a1-1~), ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 qmake Makefile generator tool - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 5 qmake, a tool that helps simplify
 the build process for development project across different platforms.
 qmake automates the generation of Makefiles so that only a few lines of
 information are needed to create each Makefile. qmake can be used for any
 software project, whether it is written using Qt or not.
 .
 Qt 5 qmake requires a platform and compiler description file which contains
 many default values used to generate appropriate Makefiles.
 .
 This package contains also these platform specifications (built with the
 OpenGLES backend).
