## qtbase-opensource-src-gles 5.7.1+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.7.1+dfsg-2ubuntu4~1) zesty; urgency=medium

  * Sync with qtbase-opensource-src - 5.7.1+dfsg-2ubuntu4~1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Feb 2017 13:16:11 +0000

qtbase-opensource-src-gles (5.7.1+dfsg-2ubuntu3~2) zesty; urgency=medium

  * Sync with qtbase-opensource-src - 5.7.1+dfsg-2ubuntu3~2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 Jan 2017 11:16:59 +0000

qtbase-opensource-src-gles (5.7.1+dfsg-2ubuntu1~8) zesty; urgency=medium

  * Sync with qtbase-opensource-src - 5.7.1+dfsg-2ubuntu1~8

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 09 Jan 2017 07:44:31 +0000

qtbase-opensource-src-gles (5.6.1+dfsg-3ubuntu7~~xenialoverlay1~2) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.6.1+dfsg-3ubuntu7~2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 07 Oct 2016 11:21:33 +0000

qtbase-opensource-src-gles (5.6.1+dfsg-3ubuntu6~xenialoverlay1~4) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.6.1+dfsg-3ubuntu6~4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 19 Sep 2016 06:36:04 +0000
