=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114~),
+               default-libmysqlclient-dev,
                dpkg-dev (>= 1.16.1),
                freetds-dev,
                gdb,
@@ -10,6 +11,7 @@
                libatspi2.0-dev,
                libcups2-dev,
                libdbus-1-dev,
+               libdouble-conversion-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
@@ -19,13 +21,12 @@
                libglu1-mesa-dev | libglu-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libharfbuzz-dev,
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
                libmtdev-dev [linux-any],
-               libmysqlclient-dev,
                libpcre3-dev,
                libpng-dev,
                libpq-dev,
@@ -54,7 +55,7 @@
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
                libxrender-dev,
-               pkg-kde-tools (>= 0.15.17),
+               pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
                unixodbc-dev,
                xvfb,
@@ -72,7 +73,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5svg5, mesa-utils
-Suggests: libqt5libqgtk2
+Suggests: qt5-image-formats-plugins, qtwayland5
 Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
         libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
@@ -124,9 +125,9 @@
          qtchooser (>= 55-gc9562a1-1~),
          ${misc:Depends}
 Recommends: libqt5opengl5-gles-dev (= ${binary:Version})
-Suggests: libegl1-mesa-dev,
+Suggests: default-libmysqlclient-dev,
+          libegl1-mesa-dev,
           libgl1-mesa-dev,
-          libmysqlclient-dev,
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
