=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,11 @@
 	extra_configure_opts += -no-sql-ibase
 endif
 
+# https://bugs.debian.org/842304
+ifeq ($(DEB_HOST_ARCH),i386)
+	extra_configure_opts += -no-use-gold-linker
+endif
+
 # Compile without sse2 support on i386
 # Do not use pre compiled headers in order to be able to rebuild the gui
 # submodule.
@@ -52,6 +57,12 @@
 
 # Only run tests on the archs they are known to pass with current configuration
 testrun_architectures := i386 amd64
+
+nogoldlinker_architectures := powerpc armhf amd64
+
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(nogoldlinker_architectures)))
+	extra_configure_opts += -no-use-gold-linker
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64 mips64 mips64el arm64))
@@ -87,7 +98,6 @@
 	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
 	            -datadir "/usr/share/qt5" \
 	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
-	            -hostdatadir "/usr/share/qt5" \
 	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
 	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
 	            -translationdir "/usr/share/qt5/translations" \
@@ -107,6 +117,7 @@
 	            -system-zlib \
 	            -system-libpng \
 	            -system-libjpeg \
+	            -system-doubleconversion \
 	            -openssl \
 	            -no-rpath \
 	            -verbose \
@@ -174,14 +185,16 @@
 	# Leftover files and all symlinks
 	# Ubuntu diff: tests enablement related
 	find \( -false \
-	  -o -name \*.a \
+	  -o -name lib\*.a \
 	  -o -name Makefile.Debug \
 	  -o -name Makefile.Release \
 	  -o -name \*.o \
 	  -o -name \*.prl \
+	  -o -name lib\*.so \
+	  -o -type l \
 	  -o -name \*.so \
 	  -o -name \*.so.debug \
-	  -o -type l \) -print \
+        \) -print \
         | grep -v tests/auto/corelib/plugin/qpluginloader/elftest \
         | grep -v tests/auto/corelib/io/qdir/types \
         | grep -v tests/auto/corelib/plugin/qlibrary/library_path/invalid.so \
@@ -228,10 +241,3 @@
 override_dh_auto_install-arch:
 	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/
 
-ifeq ($(DEB_HOST_ARCH_CPU),i386)
-	# Rebuild the necessary libs with SSE2 support.
-	# Create the destination directory.
-	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
-
-	# corelib needs make clean first to be able to rebuild.
-	cd $(CURDIR)/src/corelib; make clean ; ../../bin/qmake -config sse2; make
