=== debian/control ===
Source: qtbase-opensource-src-gles
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper (>= 11),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.17.14),
               firebird-dev [kfreebsd-any linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgles2-mesa-dev | libgles2-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev (>= 1.6.0~),
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libqt5core5a (>= 5.12.2),
               libqt5dbus5 (>= 5.12.2),
               libqt5network5 (>= 5.12.2),
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.15.17~),
               publicsuffix,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Homepage: http://qt-project.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5gui5-gles
Architecture: any
Conflicts: libqt5gui5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme
Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Suggests: qt5-image-formats-plugins, qtwayland5
Description: Qt 5 GUI module — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.
 .
 This package provides a version of Qt GUI library built against OpenGL ES,
 for use on embedded/mobile devices.

Package: qtbase5-gles-dev
Architecture: any
Conflicts: qtbase5-dev
Multi-Arch: same
Section: libdevel
Depends: libgles2-mesa-dev | libgles2-dev,
         libqt5concurrent5 (>= ${source:Upstream-Version}),
         libqt5core5a (>= ${source:Upstream-Version}),
         libqt5dbus5 (>= ${source:Upstream-Version}),
         libqt5gui5-gles (= ${binary:Version}),
         libqt5network5 (>= ${source:Upstream-Version}),
         libqt5printsupport5 (>= ${source:Upstream-Version}),
         libqt5sql5 (>= ${source:Upstream-Version}),
         libqt5test5 (>= ${source:Upstream-Version}),
         libqt5widgets5 (>= ${source:Upstream-Version}),
         libqt5xml5 (>= ${source:Upstream-Version}),
         libvulkan-dev [linux-any],
         libxext-dev,
         qt5-qmake (>= ${source:Upstream-Version}),
         qtbase5-dev-tools (>= ${source:Upstream-Version}),
         qtchooser,
         ${misc:Depends}
Recommends: libqt5opengl5-dev (>= ${source:Upstream-Version})
Suggests: default-libmysqlclient-dev,
          firebird-dev,
          libegl1-mesa-dev,
          libgl1-mesa-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Breaks: qt5-qmake (<< 5.11.3+dfsg-3~),
        qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
Replaces: qt5-qmake (<< 5.11.3+dfsg-3~),
          qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
Description: Qt 5 base development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.
 .
 Normally you should use the qtbase5-dev package. Use this one only if
 your software supports only OpenGL ES or if you want to make use of some
 OpenGL ES specific API.
 .
 If you are interested in packaging Qt 5 stuff please take a look at
 https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html

Package: qtbase5-private-gles-dev
Architecture: any
Conflicts: qtbase5-private-dev
Multi-Arch: same
Section: libdevel
Depends: libinput-dev [linux-any],
         libxkbcommon-dev,
         qtbase5-gles-dev (= ${binary:Version}),
         ${misc:Depends}
Breaks: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
Replaces: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
Description: Qt 5 base private development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin.
 .
 Normally you should use qtbase5-dev or qtbase5-private-dev package. Use this
 one only if your software supports only OpenGL ES or if you want to make use
 of some OpenGL ES specific API. Use at your own risk.
